Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: 1.9.5 (development) CMake Error  (Read 4800 times)

0 Members and 1 Guest are viewing this topic.

darc

  • Anope User
  • Offline Offline
  • Posts: 6
    • www.wrumchat.com
1.9.5 (development) CMake Error
« on: September 27, 2011, 11:07:49 PM »

I run UnrealIRCd 3.2.8.1 with Anope-1.8.6 on my live server.  However, I decided to give Anope-1.9.5 development a try after reading all the ChangeLogs.  So far I've become frustrated, and have pretty much lost all faith in the development projects for Anope at this point...  My issues are as follows.

On a FreeBSD shared hosting shell I get an error regarding ldap and mysqlclient not being installed.  So I moved my install to my box at home which runs:

CentOS 6 (Final)
Kernal Linux: 2.6.32-71.29.1.el6.x86_64
GNOME 2.28.2

I of course have LDAP installed as I run this box as a web server, (nothing fancy however).  I keep getting the error:

Saving configuration results in config.cache... done.
cmake  -DINSTDIR:STRING=/home/ircadmin/services  -DDEFUMASK:STRING=077 -DCMAKE_BUILD_TYPE:STRING=RELEASE -DUSE_RUN_CC_PL:BOOLEAN=OFF -DEXTRA_INCLUDE:STRING=/usr/lib64/mysql/ ..
extra/m_mysql.cpp needs library mysqlclient but we were unable to locate that library! Check that the library is within the search path of your OS.
  This is not a fatal error - extra/m_mysql.cpp will not be built.
-- Configuring done
-- Generating done
-- Build files have been written to: /home/ircadmin/anope-1.9.5-source/build

Now cd build, then run make to build Anope.

If I go into the build\ directory and use make then make install it appears as if it has installed Anope, although only two directories appear under the services\ folder I have created.  I have looked at several posts regarding this issue and users are told to use apt-get or pkg_add which doesn't work (either command) for CentOS.  I have mysql-client installed on this sever, but the install calls for mysqlclient (different package) if you go by the case sensative, and punctuation differences rule for Linux.  Any ideas?  Thanks for your time and appreciate and/all help guys.
Logged
___Anarchy___

Adam

  • Team
  • *
  • Offline Offline
  • Posts: 463
Re: 1.9.5 (development) CMake Error
« Reply #1 on: September 27, 2011, 11:11:56 PM »

If you read the error you would see the "This is not a fatal error - extra/m_mysql.cpp will not be built." line and realize it is not a fatal error, hence why the rest of it builds and installs ok.

And there are only supposed to be two directories under where you install Anope to.

Why the rage?
Logged

katsklaw

  • Supporter
  • Anope User
  • Offline Offline
  • Posts: 537
Re: 1.9.5 (development) CMake Error
« Reply #2 on: September 27, 2011, 11:28:10 PM »

The frustration is caused by assuming 1.8 and 1.9 are anything alike in any light. If you lose faith in the dev team because Anope doesn't act like you think it should then that's your mistake, not theirs. EndOfRant.

Also there is no "issue" unless you *want* to use mysql. In which case you need to install the development package for mysql. In most cases it's called libmysql-dev or the like. Additionally, you see several references to apt-get and pkg_add because: 1> That command pertains to the OS of the person with the issue or 2> more people use those OSs, Debian and FreeBSD respectively, than use CentOS.

In less time than it took me to read your post I found this via google:

yum install mysql-dev

Hope that helps.
Logged

darc

  • Anope User
  • Offline Offline
  • Posts: 6
    • www.wrumchat.com
Re: 1.9.5 (development) CMake Error
« Reply #3 on: September 28, 2011, 03:45:10 AM »

[root@server Alexander]# yum install mysql-dev
Loaded plugins: fastestmirror, priorities, refresh-packagekit
Loading mirror speeds from cached hostfile
 * base: pubmirrors.reflected.net
 * epel: mirror.steadfast.net
 * extras: centos.mbni.med.umich.edu
 * rpmforge: fr2.rpmfind.net
 * updates: yum.singlehop.com
Setting up Install Process
No package mysql-dev available.
Error: Nothing to do

Upon reading the 2nd reply to my topic I found that, that this package isn't available.  HOWEVER, I did find (just for future reference to the poster and those that may encounter the same issue), that the correct package name is:

mysql-devel-5.1.52-1.el6.01

This pertains to how it is displayed in the yum package installer under:

System > Administration in CentOS 6 and MAY NOT APPLY TO ANY OTHER OS OR VERSION OF CentOS!  I would also like to point out that I am using the x86_64 version of CentOS 6 (64bit version) so this may also be different in the 32bit version as well.  Also I would like to point out I didn't expect 1.8.x and 1.9.x to be anything alike as I read all the changelogs, as clearly stated from my post (Sentence 2, Line 1), but simply assumed the Anope Dev-Team would have taken the time to carefully notate some of the issues with these packages as not EVERYONE is a software developer or an IT xD.  Losing faith in a dev-team is rather easy these days as you look around at alpha, beta and RC state software that is available to users, most of it is poorly coded, introduces new features that very easily fails due to legacy hardware or software that it may rely on from the system.  While the error I encountered is NOT a fatal error, it still leaves part of the core system UNBUILT and unusable, again I point out that not everyone is an IT or software developer and may not realize that anope doesn't require mysql, rather it is optional, but when seeing this error will assume, they cannot use the software as MySQL is a database system and "most" would assume that nicks, channels etc are stored in a database.

As to the point of only two folders being shown in the install directory, thank you for ensuring this was correct.  As I am used to 1.8.x installing several files and directories under the parent folder, I was unsure what all should be showing (as there is no documentation to show that all this was compacted into such a small area).  Also, the documentation for installing anope (included in the download) does not tell you to go into the directory build\ before trying to make and make install the compilation, rather to run it from the parent directory as would have been done in previous versions.  I'm wondering, is this due to the fact that I allowed it to be compiled as a DEBUG version?  Or was this a very simple line of text not changed from the previous documentation on installing services?  The easiest bit of information is quick to be overlooked when making major changes to software, not a complaint per say, just a side note for future reference in case this was a fluke, it helps lessen confusion on other people trying to install this version.

In a final note I would like to point out that, installing the package I mentioned above, it fixed the error regarding mysqlclient package being missing, even after installing this in 4 different test accounts!  Thank you katsklaw for pointing me in the right direction, although this was not the full filename, it still got me on the right track.

Please mark this issue as RESOLVED (for any dev-team reading the post).  Thanks.
Logged
___Anarchy___
Pages: [1]   Go Up